/*
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef DBOOKMARKITEMGROUP_H
#define DBOOKMARKITEMGROUP_H

#include <QList>
#include <QObject>

class DBookmarkItem;
class DFMEvent;

class DBookmarkItemGroup : public QObject
{
    Q_OBJECT
public:
    DBookmarkItemGroup();
    void addItem(DBookmarkItem * item);
    void insert(int index, DBookmarkItem * item);
    void removeItem(DBookmarkItem * item);
    void deselectAll();
    QList<DBookmarkItem *> items() const;
private:
    QList<DBookmarkItem *> m_items;
signals:
    void url(const DFMEvent &e);
};

#endif // DBOOKMARKITEMGROUP_H
